Subject: Re: Booting 2.6.29-rc3 on mpc8661d_hpcn failing

From: Martyn Welch <[email-masked]>
Date: Mon, 02 Feb 2009 09:36:57 +0000

Becky Bruce wrote:
> 
> On Jan 30, 2009, at 8:42 AM, Kumar Gala wrote:
> 
>>
>> On Jan 30, 2009, at 6:31 AM, Martyn Welch wrote:
>>
>>> Hi Guys,
>>>
>>> It seems that 2.6.29-rc3 is not booting on the MPC8641 HPCN. I have 
>>> just updated u-boot to the latest git to see if that improved 
>>> matters, however I get stuck at the following. Any ideas?
>>
>> did you update your .dtb as well?

Yup, just double checked it. SOC mapped at ffe00000. If I use the wrong DTB I don't get any serial output...

> 
> We've changed the memory map for that board in the latest u-boot, which 
> is why you need a new .dtb.  If this still failing, let me know, and 
> I'll give it a try on my board and see what's up since this is probably 
> my fault :)
> 

It appears the same problem is affecting our sbc610 as well, the location of the SOC hasn't changed on that board.

Martyn

-- 
Martyn Welch MEng MPhil MIET (Principal Software Engineer)   T:+44(0)1327322748
GE Fanuc Intelligent Platforms Ltd,        |Registered in England and Wales
Tove Valley Business Park, Towcester,      |(3828642) at 100 Barbirolli Square,
Northants, NN12 6PF, UK T:+44(0)1327359444 |Manchester,M2 3AB  VAT:GB 729849476